globus_gass_transfer_requestattr(3)

NAME
globus_gass_transfer_requestattr - Request Attributes

 - Request Attributes.

SYNOPSIS

  Functions

int globus_gass_transfer_requestattr_init (globus_gass_transfer_requestattr_t *attr, char *url_scheme)
int globus_gass_transfer_requestattr_destroy (globus_gass_transfer_requestattr_t *attr)

  Proxy Server

int globus_gass_transfer_requestattr_set_proxy_url (globus_gass_transfer_requestattr_t *attr, char *proxy_url)

  Block Size

int globus_gass_transfer_requestattr_set_block_size (globus_gass_transfer_requestattr_t *attr, globus_size_t block_size)

  File Mode

int globus_gass_transfer_requestattr_set_file_mode (globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_file_mode_t file_mode)

  Connection Reuse

int globus_gass_transfer_requestattr_set_connection_reuse (globus_gass_transfer_requestattr_t *attr, globus_bool_t connection_reuse)
globus_object_t * globus_gass_transfer_socket_requestattr_initialize (globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay)

  Socket Send Buffer Size

int globus_gass_transfer_requestattr_set_socket_sndbuf (globus_gass_transfer_requestattr_t *attr, int sndbuf)

  Receive Socket Buffer

int globus_gass_transfer_requestattr_set_socket_rcvbuf (globus_gass_transfer_requestattr_t *attr, int rcvbuf)

  TCP Nodelay

int globus_gass_transfer_requestattr_set_socket_nodelay (globus_gass_transfer_requestattr_t *attr, globus_bool_t nodelay)
globus_object_t * globus_gass_transfer_secure_requestattr_initialize (globus_object_t *obj, char *proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay, globus_gass_transfer_authorization_t authorization, char *subject)

  Authorization

int globus_gass_transfer_secure_requestattr_set_authorization (globus_gass_transfer_requestattr_t *attr, globus_gass_transfer_authorization_t mode, char *subject)
globus_object_t * globus_gass_transfer_listenerattr_initialize (globus_object_t *obj, int backlog, unsigned short port)
int globus_gass_transfer_listenerattr_init (globus_gass_transfer_listenerattr_t *attr, char *url_scheme)

Detailed Description

Request Attributes.

The GASS Transfer library uses Globus objects to provide an extensible way of creating protocol-specific attributes.

Function Documentation

  int globus_gass_transfer_listenerattr_init (globus_gass_transfer_listenerattr_t * attr, char * url_scheme)
Initialize a listener attribute.

This function initializes the attr to contain a new protocol-specific listener attribute.

Parameters
    attr The attribute set to be initialized.
    url_scheme The scheme which which the attribute will be used for.

Return values
    GLOBUS_SUCCESS The attribute was successfully initialized.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER Either attr or url_scheme was GLOBUS_NULL.
    GLOBUS_GASS_TRANSFER_ERROR_NOT_IMPLEMENTED No protocol module currently registered with GASS Transfer Library handles URLs with the specified url_scheme.

  globus_object_t * globus_gass_transfer_listenerattr_initialize (globus_object_t * obj, int backlog, unsigned short port)
Initialize a base listener attribute.

Parameters
    obj
    backlog
    port

Returns
    Returns the obj pointer if the object inherited from the GLOBUS_GASS_OBJECT_TYPE_LISTENERTATTR type and the attribute could be initialized; GLOBUS_NULL otherwise.

  int globus_gass_transfer_requestattr_destroy (globus_gass_transfer_requestattr_t * attr)
Destroy a request attribute.

This function destroys the attribute set specified in attr.

Parameters
    attr The attribute set to be destroyed.

Return values
    GLOBUS_SUCCESS The attribute was successfully destroyed.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER The attr was GLOBUS_NULL.

  int globus_gass_transfer_requestattr_init (globus_gass_transfer_requestattr_t * attr, char * url_scheme)
Initialize a request attribute.

This function initializes the attr to contain a new protocol-specific request attribute.

Parameters
    attr The attribute set to be initialized.
    url_scheme The scheme which which the attribute will be used for.

Return values
    GLOBUS_SUCCESS The attribute was successfully initialized.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER Either attr or url_scheme was GLOBUS_NULL.
    GLOBUS_GASS_TRANSFER_ERROR_NOT_IMPLEMENTED No protocol module currently registered with GASS Transfer Library handles URLs with the specified url_scheme.

  int globus_gass_transfer_requestattr_set_block_size (globus_gass_transfer_requestattr_t * attr, globus_size_t block_size)
Set/Get the block size attribute for a GASS transfer attribute set.

This attribute allows the user to suggest a preferred block size of a server to handle a URL request.

Parameters
    attr The attribute set to query or modify.
    block_size The data block size that should be used to process requests with this attribute set.

Return values
    GLOBUS_SUCCESS The attribute was successfully updated.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER The attr was GLOBUS_NULL.

  int globus_gass_transfer_requestattr_set_connection_reuse (globus_gass_transfer_requestattr_t * attr, globus_bool_t connection_reuse)
Set/Get the connection reuse attribute for a GASS transfer attribute set.

This attribute allows the user to control whether the connection associated with a GASS Transfer request should be reused after the file transfer has completed.

Parameters
    attr The attribute set to query or modify.
    connection_reuse The value of the connection reuse attribute.

Return values
    GLOBUS_SUCCESS The attribute was successfully updated.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER The attr was GLOBUS_NULL.

  int globus_gass_transfer_requestattr_set_file_mode (globus_gass_transfer_requestattr_t * attr, globus_gass_transfer_file_mode_t file_mode)
Set/Get the file mode attribute for a GASS transfer attribute set.

This attribute allows the user to control whether the file will be transferred in ASCII or binary file mode.

Parameters
    attr The attribute set to query or modify.
    file_mode The value of the file mode attribute.

Return values
    GLOBUS_SUCCESS The attribute was successfully updated.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER The attr was GLOBUS_NULL.

  int globus_gass_transfer_requestattr_set_proxy_url (globus_gass_transfer_requestattr_t * attr, char * proxy_url)
Set/Get the proxy server attribute for a GASS transfer attribute set.

This attribute allows the user to use a proxy server to handle a URL request.

Parameters
    attr The attribute set to be modified
    proxy_url The new value of the proxy_url attribute. This may be GLOBUS_NULL if no proxy is to be used to access URLs with this attribute set.

Return values
    GLOBUS_SUCCESS The attribute was successfully updated.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER The attr was GLOBUS_NULL.

  int globus_gass_transfer_requestattr_set_socket_nodelay (globus_gass_transfer_requestattr_t * attr, globus_bool_t nodelay)
Set/Get the TCP nodelay attribute for a GASS transfer attribute set.

This attribute allows the user to control the socket receive buffer associated with a GASS Transfer request should be reused after the file transfer has completed.

Parameters
    attr The attribute set to query or modify.
    nodelay The value of the nodelay attribute.

Return values
    GLOBUS_SUCCESS The attribute was successfully updated.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER The attr was GLOBUS_NULL.

  int globus_gass_transfer_requestattr_set_socket_rcvbuf (globus_gass_transfer_requestattr_t * attr, int rcvbuf)
Set/Get the receive buffer size attribute for a GASS transfer attribute set.

This attribute allows the user to control the socket receive buffer associated with a GASS Transfer request should be reused after the file transfer has completed.

Parameters
    attr The attribute set to query or modify.
    rcvbuf The value of the socket buffer.

Return values
    GLOBUS_SUCCESS The attribute was successfully updated.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER The attr was GLOBUS_NULL.

  int globus_gass_transfer_requestattr_set_socket_sndbuf (globus_gass_transfer_requestattr_t * attr, int sndbuf)
Set/Get the send buffer size attribute for a GASS transfer attribute set.

This attribute allows the user to control the socket send buffer associated with a GASS Transfer request should be reused after the file transfer has completed.

Parameters
    attr The attribute set to query or modify.
    sndbuf The value of the socket buffer.

Return values
    GLOBUS_SUCCESS The attribute was successfully updated.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER The attr was GLOBUS_NULL.

  globus_object_t * globus_gass_transfer_secure_requestattr_initialize (globus_object_t * obj, char * proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay, globus_gass_transfer_authorization_t authorization, char * subject)
Initialize a secure request attribute.

Parameters
    obj
    proxy_url
    block_size
    file_mode
    connection_reuse
    sndbuf
    rcvbuf
    nodelay
    authorization
    subject

Returns
    Returns the obj pointer if the object inherited from the GLOBUS_GASS_OBJECT_TYPE_SECURE_REQUESTATTR type and the attribute could be initialized; GLOBUS_NULL otherwise.

  int globus_gass_transfer_secure_requestattr_set_authorization (globus_gass_transfer_requestattr_t * attr, globus_gass_transfer_authorization_t mode, char * subject)
Set/Get the authorization attribute for a GASS transfer attribute set.

This attribute allows the user to control what type of authorization should be done when GASS Transfer requests are processed.

Parameters
    attr The attribute set to query or modify.
    mode The authorization mode to use.
    subject The subject name of the authorized subject, if mode is GLOBUS_GASS_TRANSFER_AUTHORIZE_SUBJECT

Return values
    GLOBUS_SUCCESS The attribute was successfully updated.
    GLOBUS_GASS_TRANSFER_ERROR_NULL_POINTER The attr was GLOBUS_NULL.

  globus_object_t * globus_gass_transfer_socket_requestattr_initialize (globus_object_t * obj, char * proxy_url, globus_size_t block_size, globus_gass_transfer_file_mode_t file_mode, globus_bool_t connection_reuse, int sndbuf, int rcvbuf, globus_bool_t nodelay)
Initialize a socket request attribute.

Parameters
    obj
    proxy_url
    block_size
    file_mode
    connection_reuse
    sndbuf
    rcvbuf
    nodelay

Returns
    Returns the obj pointer if the object inherited from the GLOBUS_GASS_OBJECT_TYPE_SOCKET_REQUESTATTR type and the attribute could be initialized; GLOBUS_NULL otherwise.

Author

Generated automatically by Doxygen for globus_gass_transfer from the source code.